published on Wednesday, Mar 4, 2026 by Pulumi
published on Wednesday, Mar 4, 2026 by Pulumi
NetApp elastic account resource
Uses Azure REST API version 2025-09-01-preview.
Example Usage
ElasticAccounts_CreateOrUpdate
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using AzureNative = Pulumi.AzureNative;
return await Deployment.RunAsync(() =>
{
var elasticAccount = new AzureNative.NetApp.ElasticAccount("elasticAccount", new()
{
AccountName = "account1",
Location = "eastus",
Properties = null,
ResourceGroupName = "myRG",
Tags =
{
{ "ac-tag1", "account1" },
},
});
});
package main
import (
netapp "github.com/pulumi/pulumi-azure-native-sdk/netapp/v3"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := netapp.NewElasticAccount(ctx, "elasticAccount", &netapp.ElasticAccountArgs{
AccountName: pulumi.String("account1"),
Location: pulumi.String("eastus"),
Properties: &netapp.ElasticAccountPropertiesArgs{},
ResourceGroupName: pulumi.String("myRG"),
Tags: pulumi.StringMap{
"ac-tag1": pulumi.String("account1"),
},
})
if err != nil {
return err
}
return nil
})
}
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.azurenative.netapp.ElasticAccount;
import com.pulumi.azurenative.netapp.ElasticAccountArgs;
import com.pulumi.azurenative.netapp.inputs.ElasticAccountPropertiesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
var elasticAccount = new ElasticAccount("elasticAccount", ElasticAccountArgs.builder()
.accountName("account1")
.location("eastus")
.properties(ElasticAccountPropertiesArgs.builder()
.build())
.resourceGroupName("myRG")
.tags(Map.of("ac-tag1", "account1"))
.build());
}
}
import * as pulumi from "@pulumi/pulumi";
import * as azure_native from "@pulumi/azure-native";
const elasticAccount = new azure_native.netapp.ElasticAccount("elasticAccount", {
accountName: "account1",
location: "eastus",
properties: {},
resourceGroupName: "myRG",
tags: {
"ac-tag1": "account1",
},
});
import pulumi
import pulumi_azure_native as azure_native
elastic_account = azure_native.netapp.ElasticAccount("elasticAccount",
account_name="account1",
location="eastus",
properties={},
resource_group_name="myRG",
tags={
"ac-tag1": "account1",
})
resources:
elasticAccount:
type: azure-native:netapp:ElasticAccount
properties:
accountName: account1
location: eastus
properties: {}
resourceGroupName: myRG
tags:
ac-tag1: account1
Create ElasticAccount Resource
Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.
Constructor syntax
new ElasticAccount(name: string, args: ElasticAccountArgs, opts?: CustomResourceOptions);@overload
def ElasticAccount(resource_name: str,
args: ElasticAccountArgs,
opts: Optional[ResourceOptions] = None)
@overload
def ElasticAccount(resource_name: str,
opts: Optional[ResourceOptions] = None,
resource_group_name: Optional[str] = None,
account_name: Optional[str] = None,
identity: Optional[ManagedServiceIdentityArgs] = None,
location: Optional[str] = None,
properties: Optional[ElasticAccountPropertiesArgs] = None,
tags: Optional[Mapping[str, str]] = None)func NewElasticAccount(ctx *Context, name string, args ElasticAccountArgs, opts ...ResourceOption) (*ElasticAccount, error)public ElasticAccount(string name, ElasticAccountArgs args, CustomResourceOptions? opts = null)
public ElasticAccount(String name, ElasticAccountArgs args)
public ElasticAccount(String name, ElasticAccountArgs args, CustomResourceOptions options)
type: azure-native:netapp:ElasticAccount
properties: # The arguments to resource properties.
options: # Bag of options to control resource's behavior.
Parameters
- name string
- The unique name of the resource.
- args ElasticAccountArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- resource_name str
- The unique name of the resource.
- args ElasticAccountArgs
- The arguments to resource properties.
- opts ResourceOptions
- Bag of options to control resource's behavior.
- ctx Context
- Context object for the current deployment.
- name string
- The unique name of the resource.
- args ElasticAccountArgs
- The arguments to resource properties.
- opts ResourceOption
- Bag of options to control resource's behavior.
- name string
- The unique name of the resource.
- args ElasticAccountArgs
- The arguments to resource properties.
- opts CustomResourceOptions
- Bag of options to control resource's behavior.
- name String
- The unique name of the resource.
- args ElasticAccountArgs
- The arguments to resource properties.
- options CustomResourceOptions
- Bag of options to control resource's behavior.
Constructor example
The following reference example uses placeholder values for all input properties.
var elasticAccountResource = new AzureNative.NetApp.ElasticAccount("elasticAccountResource", new()
{
ResourceGroupName = "string",
AccountName = "string",
Identity = new AzureNative.NetApp.Inputs.ManagedServiceIdentityArgs
{
Type = "string",
UserAssignedIdentities = new[]
{
"string",
},
},
Location = "string",
Properties = new AzureNative.NetApp.Inputs.ElasticAccountPropertiesArgs
{
Encryption = new AzureNative.NetApp.Inputs.ElasticEncryptionArgs
{
Identity = new AzureNative.NetApp.Inputs.ElasticEncryptionIdentityArgs
{
UserAssignedIdentity = "string",
},
KeySource = "string",
KeyVaultProperties = new AzureNative.NetApp.Inputs.ElasticKeyVaultPropertiesArgs
{
KeyName = "string",
KeyVaultResourceId = "string",
KeyVaultUri = "string",
},
},
},
Tags =
{
{ "string", "string" },
},
});
example, err := netapp.NewElasticAccount(ctx, "elasticAccountResource", &netapp.ElasticAccountArgs{
ResourceGroupName: pulumi.String("string"),
AccountName: pulumi.String("string"),
Identity: &netapp.ManagedServiceIdentityArgs{
Type: pulumi.String("string"),
UserAssignedIdentities: pulumi.StringArray{
pulumi.String("string"),
},
},
Location: pulumi.String("string"),
Properties: &netapp.ElasticAccountPropertiesArgs{
Encryption: &netapp.ElasticEncryptionArgs{
Identity: &netapp.ElasticEncryptionIdentityArgs{
UserAssignedIdentity: pulumi.String("string"),
},
KeySource: pulumi.String("string"),
KeyVaultProperties: &netapp.ElasticKeyVaultPropertiesArgs{
KeyName: pulumi.String("string"),
KeyVaultResourceId: pulumi.String("string"),
KeyVaultUri: pulumi.String("string"),
},
},
},
Tags: pulumi.StringMap{
"string": pulumi.String("string"),
},
})
var elasticAccountResource = new ElasticAccount("elasticAccountResource", ElasticAccountArgs.builder()
.resourceGroupName("string")
.accountName("string")
.identity(ManagedServiceIdentityArgs.builder()
.type("string")
.userAssignedIdentities("string")
.build())
.location("string")
.properties(ElasticAccountPropertiesArgs.builder()
.encryption(ElasticEncryptionArgs.builder()
.identity(ElasticEncryptionIdentityArgs.builder()
.userAssignedIdentity("string")
.build())
.keySource("string")
.keyVaultProperties(ElasticKeyVaultPropertiesArgs.builder()
.keyName("string")
.keyVaultResourceId("string")
.keyVaultUri("string")
.build())
.build())
.build())
.tags(Map.of("string", "string"))
.build());
elastic_account_resource = azure_native.netapp.ElasticAccount("elasticAccountResource",
resource_group_name="string",
account_name="string",
identity={
"type": "string",
"user_assigned_identities": ["string"],
},
location="string",
properties={
"encryption": {
"identity": {
"user_assigned_identity": "string",
},
"key_source": "string",
"key_vault_properties": {
"key_name": "string",
"key_vault_resource_id": "string",
"key_vault_uri": "string",
},
},
},
tags={
"string": "string",
})
const elasticAccountResource = new azure_native.netapp.ElasticAccount("elasticAccountResource", {
resourceGroupName: "string",
accountName: "string",
identity: {
type: "string",
userAssignedIdentities: ["string"],
},
location: "string",
properties: {
encryption: {
identity: {
userAssignedIdentity: "string",
},
keySource: "string",
keyVaultProperties: {
keyName: "string",
keyVaultResourceId: "string",
keyVaultUri: "string",
},
},
},
tags: {
string: "string",
},
});
type: azure-native:netapp:ElasticAccount
properties:
accountName: string
identity:
type: string
userAssignedIdentities:
- string
location: string
properties:
encryption:
identity:
userAssignedIdentity: string
keySource: string
keyVaultProperties:
keyName: string
keyVaultResourceId: string
keyVaultUri: string
resourceGroupName: string
tags:
string: string
ElasticAccount Resource Properties
To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.
Inputs
In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.
The ElasticAccount resource accepts the following input properties:
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Account
Name string - The name of the ElasticAccount
- Identity
Pulumi.
Azure Native. Net App. Inputs. Managed Service Identity - The managed service identities assigned to this resource.
- Location string
- The geo-location where the resource lives
- Properties
Pulumi.
Azure Native. Net App. Inputs. Elastic Account Properties - The resource-specific properties for this resource.
- Dictionary<string, string>
- Resource tags.
- Resource
Group stringName - The name of the resource group. The name is case insensitive.
- Account
Name string - The name of the ElasticAccount
- Identity
Managed
Service Identity Args - The managed service identities assigned to this resource.
- Location string
- The geo-location where the resource lives
- Properties
Elastic
Account Properties Args - The resource-specific properties for this resource.
- map[string]string
- Resource tags.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- account
Name String - The name of the ElasticAccount
- identity
Managed
Service Identity - The managed service identities assigned to this resource.
- location String
- The geo-location where the resource lives
- properties
Elastic
Account Properties - The resource-specific properties for this resource.
- Map<String,String>
- Resource tags.
- resource
Group stringName - The name of the resource group. The name is case insensitive.
- account
Name string - The name of the ElasticAccount
- identity
Managed
Service Identity - The managed service identities assigned to this resource.
- location string
- The geo-location where the resource lives
- properties
Elastic
Account Properties - The resource-specific properties for this resource.
- {[key: string]: string}
- Resource tags.
- resource_
group_ strname - The name of the resource group. The name is case insensitive.
- account_
name str - The name of the ElasticAccount
- identity
Managed
Service Identity Args - The managed service identities assigned to this resource.
- location str
- The geo-location where the resource lives
- properties
Elastic
Account Properties Args - The resource-specific properties for this resource.
- Mapping[str, str]
- Resource tags.
- resource
Group StringName - The name of the resource group. The name is case insensitive.
- account
Name String - The name of the ElasticAccount
- identity Property Map
- The managed service identities assigned to this resource.
- location String
- The geo-location where the resource lives
- properties Property Map
- The resource-specific properties for this resource.
- Map<String>
- Resource tags.
Outputs
All input properties are implicitly available as output properties. Additionally, the ElasticAccount resource produces the following output properties:
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data Pulumi.Azure Native. Net App. Outputs. System Data Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- Azure
Api stringVersion - The Azure API version of the resource.
- ETag string
- If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- Id string
- The provider-assigned unique ID for this managed resource.
- Name string
- The name of the resource
- System
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- Type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api stringVersion - The Azure API version of the resource.
- e
Tag string - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id string
- The provider-assigned unique ID for this managed resource.
- name string
- The name of the resource
- system
Data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type string
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure_
api_ strversion - The Azure API version of the resource.
- e_
tag str - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id str
- The provider-assigned unique ID for this managed resource.
- name str
- The name of the resource
- system_
data SystemData Response - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type str
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
- azure
Api StringVersion - The Azure API version of the resource.
- e
Tag String - If eTag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.
- id String
- The provider-assigned unique ID for this managed resource.
- name String
- The name of the resource
- system
Data Property Map - Azure Resource Manager metadata containing createdBy and modifiedBy information.
- type String
- The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
Supporting Types
ElasticAccountProperties, ElasticAccountPropertiesArgs
NetApp elastic account properties- Encryption
Pulumi.
Azure Native. Net App. Inputs. Elastic Encryption - Encryption settings
- Encryption
Elastic
Encryption - Encryption settings
- encryption
Elastic
Encryption - Encryption settings
- encryption
Elastic
Encryption - Encryption settings
- encryption
Elastic
Encryption - Encryption settings
- encryption Property Map
- Encryption settings
ElasticAccountPropertiesResponse, ElasticAccountPropertiesResponseArgs
NetApp elastic account properties- Provisioning
State string - Azure lifecycle management.
- Encryption
Pulumi.
Azure Native. Net App. Inputs. Elastic Encryption Response - Encryption settings
- Provisioning
State string - Azure lifecycle management.
- Encryption
Elastic
Encryption Response - Encryption settings
- provisioning
State String - Azure lifecycle management.
- encryption
Elastic
Encryption Response - Encryption settings
- provisioning
State string - Azure lifecycle management.
- encryption
Elastic
Encryption Response - Encryption settings
- provisioning_
state str - Azure lifecycle management.
- encryption
Elastic
Encryption Response - Encryption settings
- provisioning
State String - Azure lifecycle management.
- encryption Property Map
- Encryption settings
ElasticEncryption, ElasticEncryptionArgs
Encryption settings- Identity
Pulumi.
Azure Native. Net App. Inputs. Elastic Encryption Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Source string | Pulumi.Azure Native. Net App. Key Source - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- Key
Vault Pulumi.Properties Azure Native. Net App. Inputs. Elastic Key Vault Properties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Identity
Elastic
Encryption Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Source string | KeySource - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- Key
Vault ElasticProperties Key Vault Properties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source String | KeySource - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault ElasticProperties Key Vault Properties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source string | KeySource - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault ElasticProperties Key Vault Properties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key_
source str | KeySource - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key_
vault_ Elasticproperties Key Vault Properties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity Property Map
- Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source String | "Microsoft.Net App" | "Microsoft. Key Vault" - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault Property MapProperties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
ElasticEncryptionIdentity, ElasticEncryptionIdentityArgs
Identity used to authenticate with key vault.- User
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- User
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned StringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user_
assigned_ stridentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- user
Assigned StringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
ElasticEncryptionIdentityResponse, ElasticEncryptionIdentityResponseArgs
Identity used to authenticate with key vault.- Principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- User
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- Principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- User
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id String - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned StringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id string - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned stringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal_
id str - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user_
assigned_ stridentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
- principal
Id String - The principal ID (object ID) of the identity used to authenticate with key vault. Read-only.
- user
Assigned StringIdentity - The ARM resource identifier of the user assigned identity used to authenticate with key vault. Applicable if identity.type has 'UserAssigned'. It should match key of identity.userAssignedIdentities.
ElasticEncryptionResponse, ElasticEncryptionResponseArgs
Encryption settings- Identity
Pulumi.
Azure Native. Net App. Inputs. Elastic Encryption Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Source string - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- Key
Vault Pulumi.Properties Azure Native. Net App. Inputs. Elastic Key Vault Properties Response - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Identity
Elastic
Encryption Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- Key
Source string - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- Key
Vault ElasticProperties Key Vault Properties Response - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source String - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault ElasticProperties Key Vault Properties Response - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source string - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault ElasticProperties Key Vault Properties Response - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity
Elastic
Encryption Identity Response - Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key_
source str - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key_
vault_ Elasticproperties Key Vault Properties Response - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- identity Property Map
- Identity used to authenticate to KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
- key
Source String - The encryption keySource (provider). Possible values (case-insensitive): Microsoft.NetApp, Microsoft.KeyVault
- key
Vault Property MapProperties - Properties provided by KeyVault. Applicable if keySource is 'Microsoft.KeyVault'.
ElasticKeyVaultProperties, ElasticKeyVaultPropertiesArgs
Properties of key vault.- Key
Name string - The name of KeyVault key.
- Key
Vault stringResource Id - The resource ID of KeyVault.
- Key
Vault stringUri - The Uri of KeyVault.
- Key
Name string - The name of KeyVault key.
- Key
Vault stringResource Id - The resource ID of KeyVault.
- Key
Vault stringUri - The Uri of KeyVault.
- key
Name String - The name of KeyVault key.
- key
Vault StringResource Id - The resource ID of KeyVault.
- key
Vault StringUri - The Uri of KeyVault.
- key
Name string - The name of KeyVault key.
- key
Vault stringResource Id - The resource ID of KeyVault.
- key
Vault stringUri - The Uri of KeyVault.
- key_
name str - The name of KeyVault key.
- key_
vault_ strresource_ id - The resource ID of KeyVault.
- key_
vault_ struri - The Uri of KeyVault.
- key
Name String - The name of KeyVault key.
- key
Vault StringResource Id - The resource ID of KeyVault.
- key
Vault StringUri - The Uri of KeyVault.
ElasticKeyVaultPropertiesResponse, ElasticKeyVaultPropertiesResponseArgs
Properties of key vault.- Status string
- Status of the KeyVault connection.
- Key
Name string - The name of KeyVault key.
- Key
Vault stringResource Id - The resource ID of KeyVault.
- Key
Vault stringUri - The Uri of KeyVault.
- Status string
- Status of the KeyVault connection.
- Key
Name string - The name of KeyVault key.
- Key
Vault stringResource Id - The resource ID of KeyVault.
- Key
Vault stringUri - The Uri of KeyVault.
- status String
- Status of the KeyVault connection.
- key
Name String - The name of KeyVault key.
- key
Vault StringResource Id - The resource ID of KeyVault.
- key
Vault StringUri - The Uri of KeyVault.
- status string
- Status of the KeyVault connection.
- key
Name string - The name of KeyVault key.
- key
Vault stringResource Id - The resource ID of KeyVault.
- key
Vault stringUri - The Uri of KeyVault.
- status str
- Status of the KeyVault connection.
- key_
name str - The name of KeyVault key.
- key_
vault_ strresource_ id - The resource ID of KeyVault.
- key_
vault_ struri - The Uri of KeyVault.
- status String
- Status of the KeyVault connection.
- key
Name String - The name of KeyVault key.
- key
Vault StringResource Id - The resource ID of KeyVault.
- key
Vault StringUri - The Uri of KeyVault.
KeySource, KeySourceArgs
- Microsoft_Net
App Microsoft.NetAppMicrosoft-managed key encryption- Microsoft_Key
Vault Microsoft.KeyVaultCustomer-managed key encryption
- Key
Source_Microsoft_Net App Microsoft.NetAppMicrosoft-managed key encryption- Key
Source_Microsoft_Key Vault Microsoft.KeyVaultCustomer-managed key encryption
- Microsoft_Net
App Microsoft.NetAppMicrosoft-managed key encryption- Microsoft_Key
Vault Microsoft.KeyVaultCustomer-managed key encryption
- Microsoft_Net
App Microsoft.NetAppMicrosoft-managed key encryption- Microsoft_Key
Vault Microsoft.KeyVaultCustomer-managed key encryption
- MICROSOFT_NET_APP
Microsoft.NetAppMicrosoft-managed key encryption- MICROSOFT_KEY_VAULT
Microsoft.KeyVaultCustomer-managed key encryption
- "Microsoft.
Net App" Microsoft.NetAppMicrosoft-managed key encryption- "Microsoft.
Key Vault" Microsoft.KeyVaultCustomer-managed key encryption
ManagedServiceIdentity, ManagedServiceIdentityArgs
Managed service identity (system assigned and/or user assigned identities)- Type
string | Pulumi.
Azure Native. Net App. Managed Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned List<string>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- Type
string | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned []stringIdentities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
String | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned List<String>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
string | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned string[]Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
str | Managed
Service Identity Type - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user_
assigned_ Sequence[str]identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- type
String | "None" | "System
Assigned" | "User Assigned" | "System Assigned,User Assigned" - Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned List<String>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
ManagedServiceIdentityResponse, ManagedServiceIdentityResponseArgs
Managed service identity (system assigned and/or user assigned identities)- Principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned Dictionary<string, Pulumi.Identities Azure Native. Net App. Inputs. User Assigned Identity Response> - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- Principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- Type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- User
Assigned map[string]UserIdentities Assigned Identity Response - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id String - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id String - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type String
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned Map<String,UserIdentities Assigned Identity Response> - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id string - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id string - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type string
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned {[key: string]: UserIdentities Assigned Identity Response} - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal_
id str - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant_
id str - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type str
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user_
assigned_ Mapping[str, Useridentities Assigned Identity Response] - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
- principal
Id String - The service principal ID of the system assigned identity. This property will only be provided for a system assigned identity.
- tenant
Id String - The tenant ID of the system assigned identity. This property will only be provided for a system assigned identity.
- type String
- Type of managed service identity (where both SystemAssigned and UserAssigned types are allowed).
- user
Assigned Map<Property Map>Identities - The set of user assigned identities associated with the resource. The userAssignedIdentities dictionary keys will be ARM resource ids in the form: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. The dictionary values can be empty objects ({}) in requests.
ManagedServiceIdentityType, ManagedServiceIdentityTypeArgs
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- Managed
Service Identity Type None None- Managed
Service Identity Type System Assigned SystemAssigned- Managed
Service Identity Type User Assigned UserAssigned- Managed
Service Identity Type_System Assigned_User Assigned SystemAssigned,UserAssigned
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- None
None- System
Assigned SystemAssigned- User
Assigned UserAssigned- System
Assigned_User Assigned SystemAssigned,UserAssigned
- NONE
None- SYSTEM_ASSIGNED
SystemAssigned- USER_ASSIGNED
UserAssigned- SYSTEM_ASSIGNED_USER_ASSIGNED
SystemAssigned,UserAssigned
- "None"
None- "System
Assigned" SystemAssigned- "User
Assigned" UserAssigned- "System
Assigned,User Assigned" SystemAssigned,UserAssigned
SystemDataResponse, SystemDataResponseArgs
Metadata pertaining to creation and last modification of the resource.- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- Created
At string - The timestamp of resource creation (UTC).
- Created
By string - The identity that created the resource.
- Created
By stringType - The type of identity that created the resource.
- Last
Modified stringAt - The timestamp of resource last modification (UTC)
- Last
Modified stringBy - The identity that last modified the resource.
- Last
Modified stringBy Type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
- created
At string - The timestamp of resource creation (UTC).
- created
By string - The identity that created the resource.
- created
By stringType - The type of identity that created the resource.
- last
Modified stringAt - The timestamp of resource last modification (UTC)
- last
Modified stringBy - The identity that last modified the resource.
- last
Modified stringBy Type - The type of identity that last modified the resource.
- created_
at str - The timestamp of resource creation (UTC).
- created_
by str - The identity that created the resource.
- created_
by_ strtype - The type of identity that created the resource.
- last_
modified_ strat - The timestamp of resource last modification (UTC)
- last_
modified_ strby - The identity that last modified the resource.
- last_
modified_ strby_ type - The type of identity that last modified the resource.
- created
At String - The timestamp of resource creation (UTC).
- created
By String - The identity that created the resource.
- created
By StringType - The type of identity that created the resource.
- last
Modified StringAt - The timestamp of resource last modification (UTC)
- last
Modified StringBy - The identity that last modified the resource.
- last
Modified StringBy Type - The type of identity that last modified the resource.
UserAssignedIdentityResponse, UserAssignedIdentityResponseArgs
User assigned identity properties- Client
Id string - The client ID of the assigned identity.
- Principal
Id string - The principal ID of the assigned identity.
- Client
Id string - The client ID of the assigned identity.
- Principal
Id string - The principal ID of the assigned identity.
- client
Id String - The client ID of the assigned identity.
- principal
Id String - The principal ID of the assigned identity.
- client
Id string - The client ID of the assigned identity.
- principal
Id string - The principal ID of the assigned identity.
- client_
id str - The client ID of the assigned identity.
- principal_
id str - The principal ID of the assigned identity.
- client
Id String - The client ID of the assigned identity.
- principal
Id String - The principal ID of the assigned identity.
Import
An existing resource can be imported using its type token, name, and identifier, e.g.
$ pulumi import azure-native:netapp:ElasticAccount account1 /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.NetApp/elasticAccounts/{accountName}
To learn more about importing existing cloud resources, see Importing resources.
Package Details
- Repository
- Azure Native pulumi/pulumi-azure-native
- License
- Apache-2.0
published on Wednesday, Mar 4, 2026 by Pulumi
